---
title: "/api/stations/v1/station-groups"
slug: "apistationsv1station-groups-1"
updated: 2024-10-17T20:32:06Z
published: 2024-10-17T20:32:06Z
canonical: "support.tulip.co/apistationsv1station-groups-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# /api/stations/v1/station-groups

Post/api/stations/v1/station-groups

Creates a station group.

Body parameters

The fields to create a station group.

<select class='api-response-data' aria-label='Media type'><option value='5da37229-2970-4c3e-98fc-3b4fb09518b0'>application/json</option>
</select>Expand Allobject 

Used to create a station group.

Example{
  "name": "Boston",
  "description": "Contains all the stations in the Boston factory.",
  "appAssignments": [
    {
      "type": "app-folder",
      "tag": "latest-published",
      "appFolderId": "swM2aGebq5MjhKafN"
    }
  ]
}namestring    Required

The name of the station group.

Max length500
descriptionstring    

A short description of the station group.

Max length5000
appAssignments Array of object (GenericAppAssignment)   

The station group's app assignments. Stations within this group will inherit these assignments.

object 

Represents the contents of a single app assignment.

Example{
  "type": "app",
  "tag": "development",
  "appId": "swM2aGebq5MjhKafN"
}#content#OneOfAllAppAssignmenttypestring    RequiredValid values[
  "all"
]Default"all"
tagstring    Required

The tag of an app assignment. Determines if the app assignment refers to the development version of an app or the latest production version.

Valid values[
  "development",
  "latest-published"
]

FolderAppAssignmenttypestring    RequiredValid values[
  "app-folder"
]Default"app-folder"
tagstring    Required

The tag of an app assignment. Determines if the app assignment refers to the development version of an app or the latest production version.

Valid values[
  "development",
  "latest-published"
]
appFolderIdExampleg56RCoZCtzv7borvp

SpecificAppAssignmenttypestring    RequiredValid values[
  "app"
]Default"app"
tagstring    Required

The tag of an app assignment. Determines if the app assignment refers to the development version of an app or the latest production version.

Valid values[
  "development",
  "latest-published"
]
appIdExampleg56RCoZCtzv7borvp

VersionAppAssignmenttypestring    RequiredValid values[
  "app-version"
]Default"app-version"
appVersionIdExampleg56RCoZCtzv7borvp

Responses200

The station group was successfully created.

<select class='api-response-data' aria-label='Media type'><option value='ce55c442-7226-4ccc-b598-195564472329'>application/json</option>
</select>Expand Allobject 

Represents a station group.

Example{
  "id": "swM2aGebq5MjhKafN",
  "name": "Boston",
  "description": "Contains all the stations in the Boston factory.",
  "appAssignments": [
    {
      "id": "78M2aGebq5MjhKafN",
      "type": "app-folder",
      "tag": "latest-published",
      "appFolderId": "12M2aGebq5MjhKafN"
    }
  ],
  "created": {
    "at": "2023-03-08T12:17:24Z",
    "by": {
      "id": "90M2aGebq5MjhKafN",
      "type": "user"
    }
  },
  "lastModified": {
    "at": "2023-03-08T12:17:24Z",
    "by": {
      "id": "90M2aGebq5MjhKafN",
      "type": "user"
    }
  },
  "workspaces": {
    "scope": "specific",
    "workspaceIds": [
      "56M2aGebq5MjhKafN"
    ]
  }
}idExampleg56RCoZCtzv7borvp
namestring    

The name of the station group.

parentIdExampleg56RCoZCtzv7borvp
descriptionstring    

A short description of the station group.

createdatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

lastModifiedatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

archivedatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

workspacesobject (WorkspaceMembership) 

A description of the workspaces of which a resource is a member. Workspace membership can have one of two `scope` values. A `scope` of `all` means that a resource is a member of all current and future workspaces. A `scope` of the value `specific` means that a resource is a member of a set of particular workspaces as described by the `workspaceIds` property.

Example{
  "scope": "specific",
  "workspaceIds": [
    "DEFAULT"
  ]
}#content#OneOfAllWorkspacesMembershipscopestring    

Describes a resource as a member of all current and future workspaces.

Valid values[
  "all"
]Exampleall

SpecificWorkspacesMembershipscopestring    

Describes a resource as a member of a set of specific workspaces.

Valid values[
  "specific"
]Examplespecific
workspaceIds Array of string (WorkspaceId)   

The workspaces in which a resource is a member.

string    ExampleDEFAULT

400

An error occurred. The Tulip error codes `generic.customerIdRequired`, `generic.workspaceIdRequired`, `generic.invalidParams`, `http.invalidBodyJson`, `http.invalidHeaders`, and `http.multiValueHeader` all use the 400 HTTP status code. See the documentation of the response content schema for details on these specific Tulip errors that could result in this status code.

<select class='api-response-data' aria-label='Media type'><option value='83fa5d0d-8f49-49ef-8657-361090d1d21d'>application/json</option>
</select>Expand AllOneOfobjecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject headerNamestring    

The name of the given HTTP header which had multiple values.

401

The request was missing required authentication information.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='550a2931-9846-4e46-98b8-360fd3ac3691'>application/json</option>
</select>object errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

404

The requested resource was not found.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='23a149c8-83cf-4984-853d-69b50ef672f9'>application/json</option>
</select>object errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

409

Resource with this name already exists in the workspace.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='4d33d712-5623-4f9f-b27e-5925bbc98401'>application/json</option>
</select>Expand Allobject errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject namestring    
typestring    

422

An error occurred. The Tulip error codes `generic.resourceLimitInWorkspaceReached`, `stations.invalidReferencedResourceId`, `stations.invalidResourceDescription`, and `stations.invalidResourceName` all use the 422 HTTP status code. See the documentation of the response content schema for details on these specific Tulip errors that could result in this status code.

<select class='api-response-data' aria-label='Media type'><option value='13c4e6b0-fb62-406a-9e55-894827120fd2'>application/json</option>
</select>Expand AllOneOfobjecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject workspaceIdstring    
resourceTypestring    
limitnumber    

The limit of how many resources of the type can be in the workspace.

currentnumber    

The current number of resource of the type in the workspace.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

details Array of object   

A list of invalid referenced resources.

object resourceIdstring    

The id of the invalid resource.

detailsstring    

Details about why the resource was invalid.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject reasonstring    

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject reasonstring    

429

Too many requests have been made to this endpoint in a short time period.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='7d5de2cd-3a32-490f-8356-07e73ab26ce1'>application/json</option>
</select>Expand Allobject errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject detailsstring    

Additional details about this endpoint's rate limits.

500

An internal server error occurred. Please contact [support@tulip.co](mailto:support@tulip.co) if the error persists.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='62ff3ae8-f064-4ec9-aaa9-3ebd7bbfc017'>application/json</option>
</select>object errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.
